Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018456
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-09-07 14:162011-10-12 01:56
ReporteriperdomoView Statuspublic 
Assigned Toiperdomo 
PriorityimmediateResolutionfixedFixed in Version3.0MP3
StatusclosedFix in branchpiFixed in SCM revision176ca49cad72
ProjectionnoneETAnoneTarget Version3.0MP3
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_24
OS Version2.6.36-gentoo-r5Database version8.4.5Ant version1.8.1
Product VersionmainSCM revision8294e80f4931 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018456: Using the Selector in a manual window fails

DescriptionThe selector in a Manual Window fails with a null value for DataSource
Steps To Reproduce* Financial Account
* Match Statement process
* Click find (see attached pic)
TagsNo tags attached.
Attached Filespng file icon match-import-bank-statement-lines.png [^] (59,618 bytes) 2011-09-07 14:16

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0018227 closedalostale Closing a tab doesn't release all objects 

-  Notes
(0040810)
hgbot (developer)
2011-09-07 17:29

Repository: erp/devel/pi
Changeset: 802072f308d0db71d9735f01303c28a8b860f617
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Sep 07 17:28:54 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/802072f308d0db71d9735f01303c28a8b860f617 [^]

Fixes issue 18456: Flag the dataSource as shared
Flag the dataSource to not get destroyed upon creation

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
---
(0040818)
mtaal (developer)
2011-09-08 10:58

Works!
(0041380)
hgbot (developer)
2011-09-29 19:33

Repository: erp/devel/pi
Changeset: 176ca49cad72675bf1b1c1299193129280f30bad
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Sep 07 17:28:54 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/176ca49cad72675bf1b1c1299193129280f30bad [^]

Fixes issue 18456: Flag the dataSource as shared
Flag the dataSource to not get destroyed upon creation

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
---
(0041407)
marvintm (developer)
2011-09-30 12:33

works
(0041530)
hgbot (developer)
2011-10-06 13:18

Repository: erp/stable/2.50
Changeset: 8fb5aa6b3e46ab3134a2f9e291e16a7914ae1b3f
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Thu Oct 06 13:17:46 2011 +0200
URL: http://code.openbravo.com/erp/stable/2.50/rev/8fb5aa6b3e46ab3134a2f9e291e16a7914ae1b3f [^]

Related to issue 18456: improve log

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
---
(0041597)
hudsonbot (developer)
2011-10-12 01:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-09-07 14:16 iperdomo New Issue
2011-09-07 14:16 iperdomo Assigned To => iperdomo
2011-09-07 14:16 iperdomo File Added: match-import-bank-statement-lines.png
2011-09-07 14:16 iperdomo Modules => Core
2011-09-07 17:24 iperdomo Status new => scheduled
2011-09-07 17:24 iperdomo fix_in_branch => pi
2011-09-07 17:26 iperdomo Relationship added related to 0018227
2011-09-07 17:29 hgbot Checkin
2011-09-07 17:29 hgbot Note Added: 0040810
2011-09-07 17:29 hgbot Status scheduled => resolved
2011-09-07 17:29 hgbot Resolution open => fixed
2011-09-07 17:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/802072f308d0db71d9735f01303c28a8b860f617 [^]
2011-09-08 10:58 mtaal Note Added: 0040818
2011-09-08 10:58 mtaal Status resolved => closed
2011-09-08 10:58 mtaal Fixed in Version => 3.0MP3
2011-09-29 19:33 hgbot Checkin
2011-09-29 19:33 hgbot Note Added: 0041380
2011-09-29 19:33 hgbot Status closed => resolved
2011-09-29 19:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/802072f308d0db71d9735f01303c28a8b860f617 [^] => http://code.openbravo.com/erp/devel/pi/rev/176ca49cad72675bf1b1c1299193129280f30bad [^]
2011-09-30 12:33 marvintm Note Added: 0041407
2011-09-30 12:33 marvintm Status resolved => closed
2011-10-06 13:18 hgbot Checkin
2011-10-06 13:18 hgbot Note Added: 0041530
2011-10-12 01:56 hudsonbot Checkin
2011-10-12 01:56 hudsonbot Note Added: 0041597


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker